Get a tier rule
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>",
"min_xp_threshold": "<string>",
"tenant_id": "<string>",
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"icon": "<string>",
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}Tiers
Get a tier rule
Reads one tier rule through the Portal API.
See the Gateway API entry for the full description.
GET
/
tenant
/
{tenantId}
/
tiers
/
{tierId}
Get a tier rule
curl --request GET \
--url https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kintra.io/api/v1/tenant/{tenantId}/tiers/{tierId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "<string>",
"min_xp_threshold": "<string>",
"tenant_id": "<string>",
"tier_name": "<string>",
"benefits_description": "<string>",
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"icon": "<string>",
"tenant": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
},
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}{
"success": true,
"data": null,
"errors": [
{
"message": "<string>",
"path": "<string>"
}
],
"message": "<string>"
}⌘I

